Page MenuHomewrite.as

Let pkg user set request logs
Closed, ResolvedPublic

Description

Overview

Different application users of the writefreely pkg may want to set different log kinds of log messages for requests. We should add that ability in the Apper interface.

Implementation

Add a new func to the Apper interface, e.g.

InfoLog(r *http.Request, status int, timeSince time.Duration) string

Then, use the result of this call as a parameter of the log.Info() call inside the deferred func inside all request handlers (in handle.go).

Use the current format as the implementation for the writefreely.App struct.

Revisions and Commits

rWF WriteFreely

Related Objects

StatusAssignedTask
Resolvedmatt

Event Timeline

matt triaged this task as Wishlist priority.Jun 15 2019, 1:00 AM
matt created this task.
matt moved this task from Far Future to After Soon on the WriteFreely board.Jun 16 2019, 9:34 PM
matt raised the priority of this task from Wishlist to High.Aug 1 2019, 8:02 PM
matt moved this task from After Soon to Next Release on the WriteFreely board.
matt added a comment.Aug 1 2019, 8:21 PM

Went with ReqLog(), not InfoLog()

matt added a commit: Restricted Diffusion Commit.Aug 1 2019, 8:35 PM
matt closed this task as Resolved.Aug 5 2019, 2:59 PM